package Q4;

import static org.junit.Assert.*;
import java.util.List;
import org.junit.Test;
import BlackBox.*;

public class BlackBoxTest {
	
	// Question 4a
	@Test
	public void testRun() {
		
		String[] array = {"banana","pear","apple"};
		List<String> result = BlackBox.Run(array);
		
		assertEquals("apple",result.get(0));
		assertEquals("banana",result.get(1));
		assertEquals("pear",result.get(2));
		
	}
	
	// Question 4b
	@Test
	public void testNoInputs() {
		
		String[] array = {};
		List<String> result = BlackBox.Run(array);
		
		// Assertion is up to your discretion, but it probably 
		// shouldn't return a larger list than it was given
		assertEquals(0,result.size());
		
	}
	
	// Question 4c
	@Test
	public void testSingleInput() {
		
		String[] array = {"apple"};
		List<String> result = BlackBox.Run(array);
		
		assertEquals("apple",result.get(0));
		
	}
	
	// Question 4d
	@Test
	public void testSortingIndex() {
		
		String[] array = {"banana","lime","lemon","apple"};
		List<String> result = BlackBox.Run(array);
		
		// If sorting alphabetically including second index, 
		// lime should come after lemon.
		assertEquals("apple",result.get(0));
		assertEquals("banana",result.get(1));
		assertEquals("lemon",result.get(2));
		assertEquals("lime",result.get(2));
		
	}
}
